Table of Contents

Class: CvsDiffDialog | eric3/VCS/cvsPackage/DiffDialog.py
--- | ---

Class implementing a dialog to show the output of the cvs diff command process.

Base Classes |
--- | ---
LogForm

Methods |
--- | ---
__init__ closeEvent handleProcessExited handleReadStderr handleReadStdout handleSave start
| __init__

    __init__ (
            self,
            vcs,
            parent=None,
            )

### Constructor

#### Arguments

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

| closeEvent

    closeEvent ( self,  e )

### Private slot implementing a close event handler.

#### Arguments

e
  close event (QCloseEvent)

| handleProcessExited

    handleProcessExited ( self )

### Private slot to handle the processExited signal.

After the process has exited, the contents pane is colored.

| handleReadStderr

    handleReadStderr ( self )

### Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

| handleReadStdout

    handleReadStdout ( self )

### Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

| handleSave

    handleSave ( self )

### Private slot to handle the Save button press.

It saves the diff shown in the dialog to a file in the local filesystem.

| start

    start (
            self,
            fn,
            versions=None,
            )

### Public slot to start the cvs diff command.

#### Arguments

fn
  filename to be diffed (string)
versions
  list of versions to be diffed (list of 2 int or None)

Table of Contents

This document was automatically generated by HappyDoc version 2.1